<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>
<%@page import="ChartDirector.*,java.util.Vector" %>

<%

//The labels for the bar chart
String[] labels =(String[]) request.getAttribute("theLabels");
Vector data = (Vector) request.getAttribute("theData");

//Create a XYChart object of size 500 x 320 pixels
int sizex = 500;
if(sizex < labels.length * 70+110)
    sizex = labels.length * 70+110;
XYChart c = new XYChart(sizex, 320);

sizex = 280;
if(sizex < labels.length * 70)
    sizex = labels.length * 70;

//Set the plotarea at (100, 40) and of size 280 x 240 pixels
c.setPlotArea(100, 40, sizex, 240);

//Add a legend box at (400, 100)
c.addLegend(120+sizex, 100);

//Add a title to the chart using 14 points Times Bold Itatic font
c.addTitle((String)request.getAttribute("theUserid")+"'s workload", "Times New Roman Bold Italic", 12).setBackground(
    Chart.metalColor(0x9999ff), -1, 1);

c.setBackground(0x999966);
//Add a title to the y axis. Draw the title upright (font angle = 0)
c.yAxis().setTitle("Work Hours").setFontAngle(0);

//Set the labels on the x axis
c.xAxis().setLabels(labels);

//Add a stacked bar layer and set the layer 3D depth to 8 pixels
BarLayer layer = c.addBarLayer2(Chart.Stack, 8);

//Add the three data sets to the bar layer
int delta; 
if(data.size()==1){
   delta = 0xffffff;
}
else{
 delta= 0xffffff/(data.size()-1);
}
 for(int i=0;i<data.size();i++)
   layer.addDataSet((double [])((Vector)data.elementAt(i)).elementAt(0), 0x000000+delta*i, (String)((Vector)data.elementAt(i)).elementAt(1));


//Enable bar label for the whole bar
layer.setAggregateLabelStyle();

//Enable bar label for each segment of the stacked bar
layer.setDataLabelStyle();

//output the chart
String chart1URL = c.makeSession(request, "chart1");

//include tool tip for the chart
String imageMap1 = c.getHTMLImageMap("", "",
    "title='{dataSetName} on {xLabel}: {value} hour'");
%>
<html>
<head>
<SCRIPT TYPE="text/javascript">
window.focus();
</SCRIPT>

<head>
<body topmargin="5" leftmargin="5" rightmargin="0">
<div style="font-size:18pt; font-family:verdana; font-weight:bold">
    Time Chart
</div>
<hr color="#000080">
</div>
<br>
<img src='<%=response.encodeURL("getchart.jsp?"+chart1URL)%>'
    usemap="#map1" border="0">
<map name="map1"><%=imageMap1%></map>
<form method="post" action="EditTaskServlet">
<input type="hidden" name="command" value="task_assignation"/>
<input type="submit" name="submit" value="Back"/>
</form>
</body>
</html>

